Skip to content
Start here

Get a target by ID.

client.BrowserRendering.Devtools.Browser.Targets.Get(ctx, sessionID, targetID, query) (*DevtoolBrowserTargetGetResponse, error)
GET/accounts/{account_id}/browser-rendering/devtools/browser/{session_id}/json/list/{target_id}

Returns the debuggable target with the given ID.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering WriteBrowser Rendering Read
ParametersExpand Collapse
sessionID string

Browser session ID.

formatuuid
targetID string

Target ID.

query DevtoolBrowserTargetGetParams
AccountID param.Field[string]

Account ID.

ReturnsExpand Collapse
type DevtoolBrowserTargetGetResponse struct{…}
ID string

Target ID.

Type string

Target type (page, background_page, worker, etc.).

URL string

URL of the target.

Description stringOptional

Target description.

DevtoolsFrontendURL stringOptional

DevTools frontend URL.

Title stringOptional

Title of the target.

WebSocketDebuggerURL stringOptional

WebSocket URL for debugging this target.

Get a target by ID.

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/browser_rendering"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  target, err := client.BrowserRendering.Devtools.Browser.Targets.Get(
    context.TODO(),
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "target_id",
    browser_rendering.DevtoolBrowserTargetGetParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", target.ID)
}
{
  "id": "id",
  "type": "type",
  "url": "url",
  "description": "description",
  "devtoolsFrontendUrl": "devtoolsFrontendUrl",
  "title": "title",
  "webSocketDebuggerUrl": "webSocketDebuggerUrl"
}
Returns Examples
{
  "id": "id",
  "type": "type",
  "url": "url",
  "description": "description",
  "devtoolsFrontendUrl": "devtoolsFrontendUrl",
  "title": "title",
  "webSocketDebuggerUrl": "webSocketDebuggerUrl"
}